---
layout: default
title: Code, test, and deploy together with GitLab open source git repo management software
suppress_header: true
extra_css:
  - landing.css
---
<div id="landing">
  <div class="container">
    <div class="row">
      <div class="col-sm-12 text-center">
        <h1 class="landing-header">Code, test, and deploy together</h1>
        <div class="col-sm-12 col-md-12 features-panel">
          <!-- mobile ctas -->
          <div class="landing-ctas hidden-sm hidden-md hidden-lg">
            <a href="https://about.gitlab.com/downloads/" class="ce" onClick="_gaq.push(['_trackEvent', 'Landing page', 'call to action', 'Download']);">
            Host it on your own server? Download and install the open source GitLab CE in 2 minutes
            </a>
            <br>
            <a href="https://about.gitlab.com/pricing/" class="ee" onClick="_gaq.push(['_trackEvent', 'Landing page', 'call to action', 'Pricing']);">
            Need enterprise features and support? See our pricing to run GitLab EE on your server
            </a>
            <br>
            <a href="https://gitlab.com/users/sign_in" class="com" onClick="_gaq.push(['_trackEvent', 'Landing page', 'call to action', 'GitLab.com']);">
            Free private repos? Sign up for GitLab.com and get unlimited repos and collaborators
            </a>
            <br>
          </div>
          <!-- full site ctas -->
          <div class="header-feature hidden-xs">
            <ul>
              <li>
                <a href="/downloads" class="col-link">
                  <div class="clickable">
                    <div class="icon-area">
                      <i class="fa fa-download"></i>
                    </div>
                    <div class="text-area">
                      <p>GitLab CE</p>
                      <p>Community Edition</p>
                      <p>Host it on your own server? Download and install the open source GitLab CE in 2 minutes.</p>
                    </div>
                    <div class="header-btn">
                      <a class="comparison" href="https://about.gitlab.com/downloads/">Download</a>
                    </div>
                  </div>
                </a>
              </li>
              <li>
                <a href="/pricing" class="col-link">
                  <div class="clickable">
                    <div class="icon-area">
                      <i class="fa fa-plus"></i>
                    </div>
                    <div class="text-area">
                      <p>GitLab EE</p>
                      <p>Enterprise Edition</p>
                      <p>Need enterprise features and support? See our pricing to run GitLab EE on your server.</p>
                    </div>
                    <div class="header-btn">
                      <a class="comparison" href="https://about.gitlab.com/pricing/">Pricing</a>
                    </div>
                  </div>
                </a>
              </li>
              <li>
                <a href="http://gitlab.com/users/sign_in" class="col-link">
                  <div class="clickable">
                    <div class="icon-area">
                      <i class="fa fa-cloud"></i>
                    </div>
                    <div class="text-area">
                      <p>GitLab.com</p>
                      <p>On Our Server</p>
                      <p>Free hosting for private repos? Sign up to get unlimited repos and collaborators.</p>
                    </div>
                    <div class="header-btn">
                      <a class="comparison" href="https://gitlab.com/users/sign_in">Sign Up</a>
                    </div>
                  </div>
                </a>
              </li>
            </ul>
          </div>
          </p>
        </div>
      </div>
    </div>
    <div class="gitlab-comparison">
      <a href="http://gitlab50th.eventbrite.com/" class="comparison gh">Join us on January 22nd for a SF Happy Hour!</a> 
    </div>
    <a href="#what-is">
      <span class="see-further">
        <i class="fa fa-chevron-down"></i>
      </span>
    </a>
  </div>
</div>

<div class="container what-is" id="what-is">
  <div class="row text-center">
    <div class="what-container">
      <div class="what-column">
        <div class="what-item">
          <div class="what-image">
            <i class="fa fa-rocket"></i>
            <h3>Feature-packed</h3>
          </div>
          <div class="what-content">
            <p><b>Batteries included</b>: GitLab includes git repository management, code reviews, issue tracking, wikis and <a href="/features/">much more</a>. GitLab comes with GitLab CI, an easy to use continuous integration and deployment tool.</p>
            <p><b>Do it together</b>: Discuss issues and plan milestones. Do code reviews and make line comments. Mention your colleagues anywhere. View activity streams of projects or people.</p>
            <p><b>Plays well with others</b>: GitLab has integrations for tons of tools such as Slack, Hipchat, LDAP, JIRA, Jenkins, many types of hooks and a complete API.</p>
          </div>
        </div>
      </div>
      <div class="what-column">
        <div class="what-item">
          <div class="what-image">
            <i class="fa fa-gears"></i>
            <h3>Self-hosted, scalable and updated monthly</h3>
          </div>
          <div class="what-content">
            <p><b>On Your Servers</b>: Run it on your own infrastructure. Own everything. Or use our free SaaS <a href="/gitlab-com/">GitLab.com</a></p>
            <p><b>Scales Effortlessly</b>: It runs smoothly on a tiny server but can scale to multiple active servers. A single server handles more than 25,000 users.</p>
            <p><b>Updated Monthly</b>: Every month on the 22nd a big upgrade is released and it'll only take you 2 minutes to update.</p>
          </div>
        </div>
      </div>
      <div class="what-column">
        <div class="what-item">
          <div class="what-image">
            <i class="fa fa-globe"></i>
            <h3>Community-loved, enterprise ready</h3>
          </div>
          <div class="what-content">
            <p><b>GitLab Community Edition</b> is completely free to <a href="/downloads/">download</a> and it is <a href="https://gitlab.com/gitlab-org/gitlab-ce/tree/master#README">open source</a>. It is built by a community of more than 700 people.</p>
            <p><b>GitLab Enterprise Edition</b> comes with a subscription and offers deeper LDAP / AD integration, Jira and Jenkins integration and <a href="/features/#compare">much more</a>.</p>
            <p><b>Subscriptions</b> allow you to use the Enterprise Edition and includes 24/7 emergency support. More information can be found on our <a href="/pricing/">pricing page</a>.</p>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>

<div class="content">
  <div class="text-center logos">
    <h2>GitLab is used by more than <span>100,000</span> organizations</h2>
    <br />
  </div>
  <div class="container">
    <div class="row text-center logos">
      <div class="col-xs-6 col-md-2 logos-holder">
        <div class="col-md-12 col-sm-12 logos-inner logo_1a">
          <img alt="image" src="/images/organizations/logo_1a.png">
        </div>
      </div>
      <div class="col-xs-6 col-md-2 logos-holder">
        <div class="col-md-12 col-sm-12 logos-inner logo_2a">
          <img alt="image" src="/images/organizations/logo_2a.png">
        </div>
      </div>
      <div class="col-xs-12 col-md-2 logos-holder">
        <div class="col-md-12 col-sm-12 logos-inner logo_3a">
          <img alt="image" src="/images/organizations/logo_3a.png">
        </div>
      </div>
      <div class="col-xs-6 col-md-2 logos-holder">
        <div class="col-md-12 col-sm-12 logos-inner logo_4a">
          <img alt="image" src="/images/organizations/logo_4a.png">
        </div>
      </div>
      <div class="col-xs-6 col-md-2 logos-holder">
        <div class="col-md-12 col-sm-12 logos-inner logo_5a">
          <img alt="image" src="/images/organizations/logo_5a.png">
        </div>
      </div>
      <div class="col-xs-6 col-md-2 logos-holder">
        <div class="col-md-12 col-sm-12 logos-inner logo_6a">
          <img alt="image" src="/images/organizations/logo_6a.png">
        </div>
      </div>
      <div class="col-xs-6 col-md-2 logos-holder">
        <div class="col-md-12 col-sm-12 logos-inner logo_1b">
          <img alt="image" src="/images/organizations/logo_1b.png">
        </div>
      </div>
      <div class="col-xs-6 col-md-2 logos-holder">
        <div class="col-md-12 col-sm-12 logos-inner logo_2b">
          <img alt="image" src="/images/organizations/logo_2b.png">
        </div>
      </div>
      <div class="col-xs-6 col-md-2 logos-holder">
        <div class="col-md-12 col-sm-12 logos-inner logo_3b">
          <img alt="image" src="/images/organizations/logo_3b.png">
        </div>
      </div>
      <div class="col-xs-6 col-md-2 logos-holder">
        <div class="col-md-12 col-sm-12 logos-inner logo_4b">
          <img alt="image" src="/images/organizations/logo_4b.png">
        </div>
      </div>
      <div class="col-xs-6 col-md-2 logos-holder">
        <div class="col-md-12 col-sm-12 logos-inner logo_5b">
          <img alt="image" src="/images/organizations/logo_5b.png">
        </div>
      </div>
      <div class="col-xs-6 col-md-2 logos-holder">
        <div class="col-md-12 col-sm-12 logos-inner logo_7b">
          <img alt="image" src="/images/organizations/logo_7b.png">
        </div>
      </div>
      <div class="col-xs-6 col-md-2 logos-holder">
        <div class="col-md-12 col-sm-12 logos-inner logo_1c">
          <img alt="image" src="/images/organizations/logo_1c.png">
        </div>
      </div>
      <div class="col-xs-6 col-md-2 logos-holder">
        <div class="col-md-12 col-sm-12 logos-inner logo_2c">
          <img alt="image" src="/images/organizations/logo_2c.png">
        </div>
      </div>
      <div class="col-xs-6 col-md-2 logos-holder">
        <div class="col-md-12 col-sm-12 logos-inner logo_3c">
          <img alt="image" src="/images/organizations/logo_3c.png">
        </div>
      </div>
      <div class="col-xs-6 col-md-2 logos-holder">
        <div class="col-md-12 col-sm-12 logos-inner logo_4c">
          <img alt="image" src="/images/organizations/logo_4c.png">
        </div>
      </div>
      <div class="col-xs-6 col-md-2 logos-holder">
        <div class="col-md-12 col-sm-12 logos-inner logo_5c">
          <img alt="image" src="/images/organizations/logo_5c.png">
        </div>
      </div>
      <div class="col-xs-6 col-md-2 logos-holder">
        <div class="col-md-12 col-sm-12 logos-inner logo_7c">
          <img alt="image" src="/images/organizations/logo_7c.png">
        </div>
        </div>
      <br/>
      <br/>
      <br/>
      <small>All logos and trademarks are the property of their respective owners.</small>
    </div>
    <br>
  </div>
</div>

  <div class="testimonial-news-container">
    <div class="testimonial-news-container">
      <div class="testimonial-news">
        <h2>"This 'well-kept' secret for programmers is suddenly popping up in the Fortune 500”</h2>
        <a href=" http://www.businessinsider.com/gitlab-ceo-sytse-sid-sijbrandij-interview-2015-10"><img src="/images/testimonials/bi.svg" width="220px" alt="Business Insider"></a>
      </div>
  </div>
  <div class="testimonial-news-container">
    <div class="testimonial-news">
      <h2>"Code collaboration platform GitLab acquires rival Gitorious”</h2>
      <a href="http://thenextweb.com/insider/2015/03/03/gitlab-acquires-rival-gitorious-will-shut-june-1/"><img src="/images/testimonials/user_99.svg" width="120px" alt="The Next Web"></a>
    </div>
  </div>
  <div class="testimonial-news-container">
    <div class="testimonial-news">
      <h2>"YC-Backed GitLab Is Like GitHub But For Enterprise”</h2>
      <a href="http://techcrunch.com/2015/03/03/the-great-git-debate/#nOvNCE:d8EC"><img src="/images/testimonials/user_100.svg" width="100px" alt="Tech Crunch"></a>
    </div>
  </div>
</div>

<div class="twitter-container">
  <div class="row text-center twitter-head">
    <h2>What People On <i class="fa fa-twitter"></i> Are Saying About GitLab</h2>
    <br />
</div>
  <div class="text-center">
    <a class="twitter-timeline" href="https://twitter.com/gitlab/favorites" data-widget-id="566361351866441728">Favorite Tweets by @gitlab</a>
    <script>!function(d,s,id){var js,fjs=d.getElementsByTagName(s)[0],p=/^http:/.test(d.location)?'http':'https';if(!d.getElementById(id)){js=d.createElement(s);js.id=id;js.src=p+"://platform.twitter.com/widgets.js";fjs.parentNode.insertBefore(js,fjs);}}(document,"script","twitter-wjs");</script>
    <br />
    <div class="read-more-tweets">
      <a href="https://twitter.com/gitlab/favorites">Read more of our favorite Tweets!</a>
    </div>
  </div>
</div>

<div class="row videos">
  <div class="col-sm-12 col-md-12 gitlab-video">
    <h2 class="text-center">Working Effectively With GitLab Issues and Merge Requests</h2>
    <br />
    <div class="col-sm-12 col-md-12 text-center">
       <iframe class="videoembed" src="https://www.youtube.com/embed/raXvuwet78M" frameborder="0" allowfullscreen=""></iframe>
      <div class="see-more-tuts">
        <p>See our <a href="https://courses.platzi.com/classes/git-gitlab/">Git & GitLab course at Platzi</a></p>
      </div>
    </div>
  </div>
</div>